## ide-documentation-info ide-documentation-info |

## Functions

IdeDocumentationInfo * | ide_documentation_info_new ()
void | ide_documentation_info_take_proposal ()
IdeDocumentationContext | ide_documentation_info_get_context ()
gchar * | ide_documentation_info_get_input ()
guint | ide_documentation_info_get_size ()
IdeDocumentationProposal * | ide_documentation_info_get_proposal ()

## Properties

gint | context | Read / Write / Construct Only
gchar * | input | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_DOCUMENTATION_INFO
enum | IdeDocumentationContext
| IdeDocumentationInfo

## Object Hierarchy

        GObject
        ╰── IdeDocumentationInfo

## Description

## Functions

### ide_documentation_info_new ()

    IdeDocumentationInfo *
    ide_documentation_info_new (const gchar *input,
                                IdeDocumentationContext context);

### ide_documentation_info_take_proposal ()

    void
    ide_documentation_info_take_proposal (IdeDocumentationInfo *self,
                                          IdeDocumentationProposal *proposal);

### ide_documentation_info_get_context ()

    IdeDocumentationContext
    ide_documentation_info_get_context (IdeDocumentationInfo *self);

### ide_documentation_info_get_input ()

    gchar *
    ide_documentation_info_get_input (IdeDocumentationInfo *self);

### ide_documentation_info_get_size ()

    guint
    ide_documentation_info_get_size (IdeDocumentationInfo *self);

### ide_documentation_info_get_proposal ()

    IdeDocumentationProposal *
    ide_documentation_info_get_proposal (IdeDocumentationInfo *self,
                                         guint index);

Requests proposal for the index.

#### Parameters

self | An IdeDocumentationInfo |
index | the number of the proposal |

#### Returns

An IdeDocumentationProposal.

[transfer none]

## Types and Values

### IDE_TYPE_DOCUMENTATION_INFO

    #define IDE_TYPE_DOCUMENTATION_INFO (ide_documentation_info_get_type())

### enum IdeDocumentationContext

#### Members

IDE_DOCUMENTATION_CONTEXT_NONE |  |
IDE_DOCUMENTATION_CONTEXT_CARD_C |  |
IDE_DOCUMENTATION_CONTEXT_LAST |  |

### IdeDocumentationInfo

    typedef struct _IdeDocumentationInfo IdeDocumentationInfo;

## Property Details

### The `“context”` property

      “context”                  gint

Context.

Flags: Read / Write / Construct Only

Allowed values: [0,2]

Default value: 0

### The `“input”` property

      “input”                    gchar *

Input.

Flags: Read / Write / Construct Only

Default value: NULL